Bug 260125 - emulators/wine-devel: pkg-plist unbreak on i386
Summary: emulators/wine-devel: pkg-plist unbreak on i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Many People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-29 20:11 UTC by Filipe da Silva Santos
Modified: 2021-12-07 06:43 UTC (History)
2 users (show)

See Also:
gerald: maintainer-feedback+


Attachments
poudriere build log (136.11 KB, application/octet-stream)
2021-11-29 20:11 UTC, Filipe da Silva Santos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Filipe da Silva Santos 2021-11-29 20:11:47 UTC
Created attachment 229802 [details]
poudriere build log

--- /usr/local/poudriere/ports/default/emulators/wine-devel/pkg-plist	2021-11-22 23:01:11.558828000 +0000
+++ pkg-plist	2021-11-29 19:47:35.686697000 +0000
@@ -1924,7 +1924,7 @@
 lib/wine/%%WINEARCH%%-unix/libwmcodecdspuuid.a
 lib/wine/%%WINEARCH%%-unix/libwmvcore.a
 lib/wine/%%WINEARCH%%-unix/libwnaspi32.a
-lib/wine/%%WINEARCH%%-unix/libwow64.a
+%%WINE64%%lib/wine/%%WINEARCH%%-unix/libwow64.a
 lib/wine/%%WINEARCH%%-unix/libws2_32.a
 lib/wine/%%WINEARCH%%-unix/libwsdapi.a
 lib/wine/%%WINEARCH%%-unix/libwsnmp32.a

There is no libwow64 on i386 build.
Build log attached,
cheers!
Comment 1 commit-hook freebsd_committer 2021-12-06 20:35:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5678d834dc290a8da8dcaa84226395f55f96070c

commit 5678d834dc290a8da8dcaa84226395f55f96070c
Author:     Damjan Jovanovic <damjan.jov@gmail.com>
AuthorDate: 2021-12-06 20:30:15 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-12-06 20:31:36 +0000

    emulators/wine-devel: Update to Wine 6.23

    This includes the following changes:
     - Mount manager and CoreAudio driver converted to PE.
     - Support for exception handling in Wow64 mode.
     - Optional support for using the distribution's PE libraries.
     - A number of UI improvements in WineDbg.
     - Various bug fixes.

    Also fix a pkg-plist issue on i386. [1]

    PR:             260125 [1]
    Submitted by:   Filipe da Silva Santos <contact@shiori.com.br> [1]

 emulators/wine-devel/Makefile  |  3 +--
 emulators/wine-devel/distinfo  | 10 +++++-----
 emulators/wine-devel/pkg-plist | 12 +++++++++++-
 3 files changed, 17 insertions(+), 8 deletions(-)
Comment 2 Gerald Pfeifer freebsd_committer 2021-12-07 06:43:33 UTC
Yep, fix committed. Thank you, Filipe!